Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Package block after latest sync (SOLVED)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
Akaihiryuu
l33t
l33t


Joined: 08 May 2003
Posts: 751
Location: Columbus, OH

PostPosted: Tue Dec 27, 2005 9:01 pm    Post subject: Package block after latest sync (SOLVED) Reply with quote

I'm having a problem...I just did a sync this morning, and emerge -uDNva world is giving me a problem with a block. It wants to install motif-config but openmotif is blocking it. However, I cannot emerge -C openmotif because there is stuff that depends on it. Does anyone have a solution?

[blocks B ] =x11-libs/openmotif-2.2.3-r3 (is blocking x11-libs/motif-config-0.9)
[ebuild U ] sys-apps/findutils-4.1.20-r2 [4.1.20-r1] -build +nls (-selinux) -static 0 kB
[ebuild N ] app-misc/pax-utils-0.1.4 +caps 0 kB
[ebuild U ] sys-apps/portage-2.0.53 [2.0.51.22-r3] -build (-selinux) 0 kB
*** Portage will stop merging at this point and reload itself,
recalculate dependencies, and complete the merge.
[ebuild U ] media-libs/gd-2.0.33 [2.0.32] +fontconfig +jpeg +png +truetype -xpm 573 kB
[ebuild N ] x11-libs/motif-config-0.9 0 kB
[ebuild U ] x11-libs/openmotif-2.2.3-r8 [2.2.3-r3] 0 kB
[ebuild U ] media-libs/alsa-oss-1.0.10-r1 [1.0.10_rc3] 218 kB
[ebuild U ] kde-base/kpdf-3.4.3-r3 [3.4.3-r2] -arts -debug -kdeenablefinal -kdexdeltas +nodrm -xinerama 0 kB
[ebuild U ] x11-base/x11-drm-20051223 [20051028] 549 kB

Total size of downloads: 1,342 kB

!!! Error: The above package list contains packages which cannot be installed
!!! on the same system.

nall akai # equery depends openmotif
[ Searching for packages depending on openmotif... ]
app-text/xpdf-3.01-r3


Last edited by Akaihiryuu on Tue Dec 27, 2005 9:26 pm; edited 1 time in total
Back to top
View user's profile Send private message
rev138
l33t
l33t


Joined: 19 Jun 2003
Posts: 848
Location: Vermont, USA

PostPosted: Tue Dec 27, 2005 9:08 pm    Post subject: Reply with quote

Code:
# emerge -C openmotif && emerge motif-config && emerge -auvDN world
Back to top
View user's profile Send private message
Akaihiryuu
l33t
l33t


Joined: 08 May 2003
Posts: 751
Location: Columbus, OH

PostPosted: Tue Dec 27, 2005 9:26 pm    Post subject: Reply with quote

Ohh...I see. I didn't pay enough attention to the output. It wanted to install motif-config before upgrading openmotif. All I had to do was emerge -C openmotif && emerge -uDNva world and that fixed it. In retrospect, I could done emerge -u openmotif && emerge -uDNva world.
Back to top
View user's profile Send private message
dwyrm
n00b
n00b


Joined: 13 Dec 2003
Posts: 19

PostPosted: Tue Dec 27, 2005 10:00 pm    Post subject: another approach Reply with quote

Since the old version of openmotif is blocking the new package motif-config, and not the other way around, you could also do this:

Code:
emerge -v --oneshot --nodeps motif-config && emerge -v --oneshot --nodeps --update openmotif && emerge -uDNva world
Back to top
View user's profile Send private message
kallamej
Administrator
Administrator


Joined: 27 Jun 2003
Posts: 4920
Location: Gothenburg, Sweden

PostPosted: Wed Dec 28, 2005 9:55 am    Post subject: Reply with quote

Moved from Portage & Programming to Duplicate Threads in favour of topic 416112
_________________
Please read our FAQ Forum, it answers many of your questions.
irc: #gentoo-forums on irc.freenode.net
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum